curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "48427a36d43c4d5aa6324bc06c692456",
"access_token": "****************************7610",
"created_at": "2022-06-07T15:00:00Z",
"updated_at": "2022-06-30T15:00:00Z",
"deleted_at": "2022-06-30T15:00:00Z",
"tracking_info": "user123456",
"status": "new",
"user_external_id": "user123456",
"provider_id": "adp",
"provider": {
"id": "adp",
"name": "ADP",
"logo_url": "<string>"
},
"company_mapping": {
"id": "meta",
"name": "Meta",
"logo_url": "<string>"
},
"link_hash": "bc917458a3da4b2c8cc8282aa1707aaa",
"allowed_products": [
"income"
],
"initial_product_type": "income",
"data_source": "payroll",
"is_suspicious": true,
"is_dds_available": true
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Retrieve a link
Authorizations
Client ID
Client Access Key
Path Parameters
Response
Link's properties
Link ID
32"48427a36d43c4d5aa6324bc06c692456"
Access token for data refresh. Returns masked value (e.g., ****************************7610) unless filtered by user_id, in which case the full token is returned.
64"****************************7610"
Link creation timestamp (ISO 8601)
"2022-06-07T15:00:00Z"
Link last update timestamp (ISO 8601)
"2022-06-30T15:00:00Z"
Link removal timestamp (ISO 8601)
"2022-06-30T15:00:00Z"
Optional tracking information provided by a partner
255"user123456"
Status of the last Task
"new"
User external ID is information provided by a partner
"user123456"
Data provider ID
"adp"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique hash for the user credentials used to create the link
"bc917458a3da4b2c8cc8282aa1707aaa"
List of all allowed products for this connection
income, employment, deposit_switch, pll, insurance, transactions, assets, credit, education ["income"]
Initial product type
income, employment, deposit_switch, pll, insurance, transactions, assets, credit, education, null "income"
Source of data: payroll - payroll provider parsing, docs - user uploaded documents, insurance - insurance data, financial_accounts - bank data, tax - tax documents, scoring_attributes - transactions scoring attributes report.
payroll, docs, insurance, financial_accounts, tax, scoring_attributes, credit, education "payroll"
Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data
This flag indicates if connected account supports deposit switching functionality. null - unknown, True - yes, False - No
Was this page helpful?